/*
	SerpEncrypTool - A tool that uses GnuPG in order to manage your passwords and similar things
	Copyright (C) 2004  Michael "Serpedon" Walz

	This file is part of SerpEncrypTool.

	SerpEncrypTool is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	SerpEncrypTool is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with SerpEncrypTool; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

# ifndef __GNU_PG_HPP__
# define __GNU_PG_HPP__

# include <Klasse.String.hpp>

bool EncryptTotal ( const String & f_plainText, const String & f_destinyFile,
	/* <-- */		  HWND f_errorWindow = NULL );
bool DecryptTotal ( const String & f_sourceFile, String * fp_plainText,
	/* <-- */		  HWND f_errorWindow = NULL );

# endif // __GNU_PG_HPP__